.create_post{
    display: grid;
    grid-template-columns: 200px auto;
    grid-template-rows: 30px 25px auto;
    gap: 10px;
    /* background-color: goldenrod; */
    background: radial-gradient(ellipse farthest-corner at right bottom, #FEDB37 0%, #FDB931 8%, #9f7928 30%, #8A6E2F 40%, transparent 80%),
    radial-gradient(ellipse farthest-corner at left top, #FFFFFF 0%, #FFFFAC 8%, #D1B464 25%, #5d4a1f 62.5%, #5d4a1f 100%);
    background: var(--main-color);
    color: white;
    width: 100%;
    height: 100%;
    padding: 10px;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);

}
.create_post > div{
    border: solid 2px white;
}
.post_sidebar{
    grid-column: 1/2;
    grid-row: 1/4;
    border: solid black 1px;
    display: flex;
    flex-direction: column;

}
.sidebar_close_button{
    display: none;
    width: 20px;
    height: 20px;
    background-color: red;
    color: white;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    margin-left: auto;
}
.search_bar{
    margin: 10px;
    width: 90%;
    border-radius: 10px;
}
.post_title{
    grid-column: 2/3;
    grid-row: 1/2;
    border: solid black 1px;
    display: flex;
    flex-direction: row;
}
.title_input{
    flex-grow: 1;
}
.post_attributes{
    display: flex;
    flex-direction: row;
    cursor: pointer;
    border: 1px solid white;
    margin-right: 5px;
}
.attribute_div{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    margin: 5px;
    color:white
}
.sidebar_post_list{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}
.sidebar_post_list_item{
    display: flex;
    width: 100%;
    border: solid black 1px;
    /* flex: 1; */
    height: 100%;
    max-height: 600px;
    flex-direction: column;
    overflow-y: scroll;
}
.sidebar_post_list_item > div{
    margin: 5px;
    padding: 5px;
    cursor: pointer;
    border: solid black 1px;

}
.list_options{
    background-color: gold;
    border-radius: 10px;
    padding: 5px;
    position: absolute;
    z-index: 10;
    display: none;
    width: 200px;
    flex-direction: column;
    background: radial-gradient(ellipse farthest-corner at right bottom, #FEDB37 0%, #FDB931 8%, #9f7928 30%, #8A6E2F 40%, transparent 80%),
    radial-gradient(ellipse farthest-corner at left top, #FFFFFF 0%, #FFFFAC 8%, #D1B464 25%, #5d4a1f 62.5%, #5d4a1f 100%);;
   
}
.community_list_options_items{
    margin-top: 5px;
    height: 300px;
    overflow-y: auto;
}
.profile_window{
    background-color: gold;
    border-radius: 10px;
    padding: 5px;
    position: absolute;
    z-index: 10;
    display: none;
    width: 200px;
    flex-direction: column;
    background: radial-gradient(ellipse farthest-corner at right bottom, #FEDB37 0%, #FDB931 8%, #9f7928 30%, #8A6E2F 40%, transparent 80%),
    radial-gradient(ellipse farthest-corner at left top, #FFFFFF 0%, #FFFFAC 8%, #D1B464 25%, #5d4a1f 62.5%, #5d4a1f 100%);;
    background: white;
    border: 1px solid black;
    box-shadow: 0px 2px 14px 7px black;
}
.list_options_items{
    margin: 1px;
    width:100%;
    cursor: pointer;
    user-select: none;
    padding: 5px;
    border-bottom: solid white 1px;
    background: radial-gradient(ellipse farthest-corner at right bottom, #FEDB37 0%, #FDB931 8%, #9f7928 30%, #8A6E2F 40%, transparent 80%),
    radial-gradient(ellipse farthest-corner at left top, #FFFFFF 0%, #FFFFAC 8%, #D1B464 25%, #5d4a1f 62.5%, #5d4a1f 100%);;
    color: black;
    background: var(--select-border);
}
.list_options_items:hover{
    background: white;
    color: black;
}
.list_profile_items{
    margin: 1px;
    cursor: pointer;
    user-select: none;
    border-bottom: solid white 1px;
    background: radial-gradient(ellipse farthest-corner at right bottom, #FEDB37 0%, #FDB931 8%, #9f7928 30%, #8A6E2F 40%, transparent 80%),
    radial-gradient(ellipse farthest-corner at left top, #FFFFFF 0%, #FFFFAC 8%, #D1B464 25%, #5d4a1f 62.5%, #5d4a1f 100%);;
    color: black;
    background: var(--tertiary-color);
    border: 1px solid black;
    border-radius: 5px;
}
.options_container{
    width: 100%;
}
.tool_bar{
    grid-column: 2/3;
    grid-row: 2/3;
    border: solid black 1px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
}
.tool_bar > div{
    height: 100%;
    margin: 1px;
    cursor: pointer;
    user-select: none;
}
.post_content{
    grid-column: 2/3;
    grid-row: 3/4;
    border: solid black 1px;
    padding: 5px;
    overflow-y: auto;
    background-color: white;
    color: black;
    padding: 20px;
}
.floating_sidebar{
    position: fixed;
    bottom: 0;
    left: 0;
    /* background-color: goldenrod; */
    background: var(--main-color);
    color: white;
    padding: 10px;
    display: block;
    z-index: 100000;
    transition: width 0.3s ease-in-out;
    width: 200px;
    transition: width 0.3s ease-in-out;
    overflow-y: auto;
    overflow-x: hidden;
    height: 100%;
    
}
.hamburger{
    display: none;;
}
/* .attribute_value{
    color: white;
} */
.preview_display{
    word-wrap: break-word;  /* Ensures long words break */
    overflow-wrap: break-word; /* Alternative for better support */
    hyphens: auto; /* Enables hyphenation */
}
.visibility_options , .category_options{
    position: absolute;
    display: none;
    flex-direction:column;
    right: 0px;
    width: 300px;
    max-height: 80vh;
    margin-top:25px;
    background: var(--gradient);
    background: var(--tertiary-color);
    border: 1px solid black;
    box-shadow: -1px 2px 10px 5px;
    border-radius: 5px;
  }
  
@media only screen and (max-width: 600px) {
    #category_value, #visibility_value {
        display: none;
    }
    
    .hamburger{
        display: block;
    }
    .create_post {
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: 30px 25px auto;
        gap: 10px;
        background: var(--main-color);
        color: white;
        width: 100%;
        height: 100%;
        padding: 10px;
        box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.1);
    }
    .post_sidebar{
       display: none;
    }
    .sidebar_close_button{
        display: flex;
    }
    .post_title{
        grid-column: 1/2;
        grid-row: 1/2;
        border: solid black 1px;
    }
    .tool_bar{
        grid-column: 1/2;
        grid-row: 2/3;
        border: solid black 1px;
    }
    .post_content{
        grid-column: 1/2;
        grid-row: 3/4;
        border: solid black 1px;
        padding: 5px;
        overflow-y: auto;
        color: black;
        padding: 20px;
    }


}